# This is the CRAN name
%global packname RcppZiggurat
# This is the main package version
%global packver 0.1
# Note that some R packages do not use packrel
%global packrel 6
%global rlibdir   %{_libdir}/R/library

Name:           R-%{packname}
Version:        %{packver}.%{packrel}
Release:        0.sles15.lc
Summary:        Ziggurat generator for normally distributed random numbers

Group:          Development/Libraries/Other
License:        GPL-2.0+
URL:            http://cran.r-project.org/web/packages/%{packname}/index.html
Source0:        %{packname}_%{packver}.%{packrel}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires: R-base-devel tex(latex) R-Rcpp R-RcppGSL R-Rcpp-devel gsl-devel gcc-c++
#
%if 0%{?suse_version} <= 1220 && 0%{?suse_version} != 1110
BuildRequires:  texlive-fonts-extra
%endif

Requires:       R-base

%description
R package:
Ziggurat generator for normally distributed random numbers

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%files
%defattr(-, root, root, -)
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.Rd
%doc %{rlibdir}/%{packname}/doc/RcppZiggurat.R
%doc %{rlibdir}/%{packname}/doc/RcppZiggurat.Rmd
%doc %{rlibdir}/%{packname}/doc/RcppZiggurat.pdf
%doc %{rlibdir}/%{packname}/doc/index.html
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/code/rnorrexp.c
%{rlibdir}/%{packname}/demo/benchmark.R
%{rlibdir}/%{packname}/demo/chisqTest.R
%{rlibdir}/%{packname}/demo/normalTest.R
%{rlibdir}/%{packname}/demo/standardTest.R
%{rlibdir}/%{packname}/include/Zigg.h
%{rlibdir}/%{packname}/include/Ziggurat.h
%{rlibdir}/%{packname}/include/ZigguratGSL.h
%{rlibdir}/%{packname}/include/ZigguratGretl.h
%{rlibdir}/%{packname}/include/ZigguratLZLLV.h
%{rlibdir}/%{packname}/include/ZigguratMT.h
%{rlibdir}/%{packname}/include/ZigguratQL.h
%{rlibdir}/%{packname}/include/ZigguratQL_R.h
%{rlibdir}/%{packname}/include/ZigguratR.h
%{rlibdir}/%{packname}/include/ZigguratV1.h
%{rlibdir}/%{packname}/include/ZigguratV1b.h
%{rlibdir}/%{packname}/include/mt32wrapper.h
%{rlibdir}/%{packname}/libs/RcppZiggurat.so

%changelog
* Wed Jul 17 2024 Stuart Raeburn <raeburn@loncapa.org> (0.1.6-0)
- Initial build for R 4.4.1
